public class Seen
{
	/**************************************************************
	 * class variables                                            *
	 **************************************************************/
	private final char [] alphabet =
		{'a','b','c','d','e','f','g','h','i','j','k','l','m','n',
		 'o','p','q','r','s','t','u','v','w','x','y','z'};
	private boolean [] alreadySeen;
	
	/*
	 * constructor
	 *   initializes all characters to unseen
	 */
	public Seen()
	{
		alreadySeen = new boolean [alphabet.length];
		for (int i = 0; i < alreadySeen.length; i++)
		{
			alreadySeen[i] = false;
		}
	}
	
	// marks char c as seen
	public void update(char c)
	{
		// find c in alphabet.  If found, change alreadySeen to true
		for (int j = 0; j < alphabet.length; j ++)
		{
			if (alphabet[j] == c)
			{
				alreadySeen[j] = true;
			}
		}
	}
	
	// displays all characters remaining unseen
	public void printUnseen()
	{
		System.out.print("Letters remaining:  ");
		for (int j = 0; j < alphabet.length; j++)
		{
			if (!alreadySeen[j])
			{
				System.out.print(alphabet[j]);
			}
		}
		System.out.println();
	}
	
	// have all characters been seen?
	public boolean allSeen()
	{
		for (int j = 0; j < alphabet.length; j++)
		{
			if (!alreadySeen[j])
			{
				return false;
			}
		}
		return true;
	}
}
